Bug 883362 - Review Request: stilts - STOMP messaging framework
Review Request: stilts - STOMP messaging framework
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gerard Ryan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-04 07:04 EST by Marek Goldmann
Modified: 2013-06-12 11:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 10:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gerard: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2012-12-04 07:04:24 EST
Spec URL: http://goldmann.fedorapeople.org/package_review/stilts/0.1.28-1/stilts.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/stilts/0.1.28-1/stilts-0.1.28-1.fc18.src.rpm
Fedora Account System Username: goldmann
Description: 

Stilts is a STOMP-native messaging framework. It is not a message broker.
It aims to address treating STOMP as primary contract for messaging,
and integrating around it, instead of simply applying STOMP shims to existing
services.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=4754895
Comment 3 Gerard Ryan 2012-12-16 16:01:41 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[!]: Package contains no bundled libraries.

See issue #1

[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[!]: Sources contain only permissible code or content.

See issue #2

[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     javadoc
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "LGPL (v2.1 or later)", "Unknown or generated". 3 files
     have unknown license. Detailed output of licensecheck in
     /home/grdryn/883362-stilts/licensecheck.txt

See issue #3

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (0001-Netty-3.5.11.Final-support.patch)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[-]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: stilts-javadoc-0.1.28-3.fc19.noarch.rpm
          stilts-0.1.28-3.fc19.noarch.rpm
          stilts-0.1.28-3.fc19.src.rpm
stilts-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
stilts.src: W: invalid-url Source0: stilts-0.1.28.tar.xz
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint stilts-javadoc stilts
stilts-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
stilts-javadoc-0.1.28-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils

stilts-0.1.28-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    geronimo-jta
    hamcrest
    hibernate-validator
    hornetq
    ironjacamar
    java
    jboss-logging
    jboss-logmanager
    jboss-naming
    jboss-stdio
    jpackage-utils
    netty
    slf4j



Provides
--------
stilts-javadoc-0.1.28-3.fc19.noarch.rpm:
    
    stilts-javadoc = 0.1.28-3.fc19

stilts-0.1.28-3.fc19.noarch.rpm:
    
    mvn(org.projectodd.stilts:stilts) = 0.1.28
    mvn(org.projectodd.stilts:stilts-conduit-server-core) = 0.1.28
    mvn(org.projectodd.stilts:stilts-conduit-server-spi) = 0.1.28
    mvn(org.projectodd.stilts:stilts-stomp-api) = 0.1.28
    mvn(org.projectodd.stilts:stilts-stomp-client) = 0.1.28
    mvn(org.projectodd.stilts:stilts-stomp-client-js) = 0.1.28
    mvn(org.projectodd.stilts:stilts-stomp-common) = 0.1.28
    mvn(org.projectodd.stilts:stilts-stomp-server-core) = 0.1.28
    mvn(org.projectodd.stilts:stilts-stomp-server-spi) = 0.1.28
    mvn(org.projectodd.stilts:stilts-stomplet-api) = 0.1.28
    mvn(org.projectodd.stilts:stilts-stomplet-server-bundle) = 0.1.28
    mvn(org.projectodd.stilts:stilts-stomplet-server-core) = 0.1.28
    osgi(stilts-stomplet-server-bundle) = 0.1.28
    stilts = 0.1.28-3.fc19



MD5-sum check
-------------


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -b 883362 -m fedora-rawhide-x86_64


Issues:
1. stilts-stomplet-server-bundle.jar contains the following jars:
  -rw-r--r--    259587   1-Jan-1980  00:00:00  commons-codec-1.4.jar
  -rw-r--r--    284318   1-Jan-1980  00:00:00  commons-lang-2.6.jar
  -rw-r--r--     22894   1-Jan-1980  00:00:00  stilts-conduit-server-core-0.1.28.jar
  -rw-r--r--      4555   1-Jan-1980  00:00:00  stilts-conduit-server-spi-0.1.28.jar
  -rw-r--r--     11010   1-Jan-1980  00:00:00  stilts-stomp-api-0.1.28.jar
  -rw-r--r--     58977   1-Jan-1980  00:00:00  stilts-stomp-common-0.1.28.jar
  -rw-r--r--     46022   1-Jan-1980  00:00:00  stilts-stomp-server-core-0.1.28.jar
  -rw-r--r--      6238   1-Jan-1980  00:00:00  stilts-stomp-server-spi-0.1.28.jar
  -rw-r--r--     10853   1-Jan-1980  00:00:00  stilts-stomplet-api-0.1.28.jar
  -rw-r--r--     38709   1-Jan-1980  00:00:00  stilts-stomplet-server-core-0.1.28.jar

Should these be symlinked?

2. There's an odd file: example/deploy/hornetq-ra.rar - it's some form
of java archive rather than a winrar file, but it contains the
following jars:

  -rw-r--r--    103278  31-Mar-2011  08:25:56  hornetq-ra.jar
  -rw-r--r--    571405  31-Mar-2011  08:25:50  hornetq-core-client.jar
  -rw-r--r--    229674  31-Mar-2011  08:25:54  hornetq-jms.

3. There are some files under LGPLv2+, and 3 files that don't have any
license info (these with no license info may not be a problem, just for info).

The following are LGPLv2+:
stomplet-api/src/main/java/org/projectodd/stilts/stomplet/Subscriber.java
stomp-common/src/main/java/org/projectodd/stilts/stomp/protocol/websocket/ietf00/Ietf00Handshake.java
stomp-common/src/main/java/org/projectodd/stilts/stomp/protocol/websocket/ietf07/Ietf07Handshake.java
stomp-common/src/main/java/org/projectodd/stilts/stomp/protocol/websocket/Handshake.java
stomp-common/src/main/java/org/projectodd/stilts/stomp/protocol/websocket/ietf17/Ietf17Handshake.java
stomp-common/src/main/java/org/projectodd/stilts/stomp/protocol/websocket/ietf08/Ietf08Handshake.java
stomp-server-core/src/main/java/org/projectodd/stilts/stomp/server/websockets/protocol/ServerHandshakeHandler.java
Comment 4 Marek Goldmann 2013-06-10 10:57:05 EDT
It seems that stilts is not used anymore in WildFly, and I'm not going to add this feature to current AS7. Marking this as out of date, thanks Gerard for the review and sorry for noise...

Note You need to log in before you can comment on or make changes to this bug.